# Note that this is NOT a relocatable package
%define ver      1.0.10
%define rel      2
%define prefix   /usr

Summary: The libraries needed by the GNOME GUI desktop environment.
Name: gnome-libs
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-libs/gnome-libs-%{ver}.tar.gz
Source1: gnome.mime
BuildRoot: /var/tmp/gnome-libs-%{ver}-root
Obsoletes: gnome
URL: http://www.gnome.org/
Requires: gtk+ >= 1.2.1
Requires: gnome-audio

Prereq: utempter

Patch: gnome-libs-db1.patch
Patch2: gnome-libs-rhsnddefs.patch

Patch10: gnome-libs-1.0.5-newsession.patch

Patch20: gnome-libs-1.0.5-sndon.patch

#Patch30: gnome-libs-1.0.8-CARD32.patch

#Patch104: gnome-libs-1.0.5-zvtresize.patch
Patch105: gnome-libs-1.0.8-nullfont.patch

Patch110: gnome-libs-1.0.10-i18n.patch

Docdir: %{prefix}/doc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on Open Source software.
The gnome-libs package includes libraries that are needed by GNOME.

You should install the gnome-libs package if you would like to use the
GNOME desktop environment.  You'll also need to install the gnome-core
package.  If you would like to develop GNOME applications, you'll also
need to install gnome-libs-devel.  If you want to use linuxconf with a
GNOME front end, you'll also need to install the gnome-linuxconf
package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries
Requires: gnome-libs = %{PACKAGE_VERSION}
Requires: gtk+-devel
Requires: imlib-devel
Requires: esound-devel
Requires: ORBit-devel
Obsoletes: gnome

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on Open Source software. 
The gnome-libs-devel package includes the libraries and include files that
you will need to develop GNOME applications.  

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.  If you are going
to develop GNOME applications and/or you're going to use the GNOME desktop
environment, you'll also need to install the gnome-core and gnome-libs
packages.  If you want to use linuxconf with a GNOME front end, you'll
also need to install the gnome-linuxconf package.

%changelog

* Wed Jul 21 1999 Owen Taylor <otaylor@redhat.com>
- added patch from CVS for properly looking up i18n information

* Mon Jun  7 1999 Michael Fulbright <drmike@redhat.com>
- update to official 1.0.10 release

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- quick patch to handle gnome-font-picker crashing when gdk_font_load()
  returns NULL

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- improved gnome.mime file

* Tue Apr 13 1999 Michael Fulbright <drmike@redhat.com>
- added extended gnome.mime file

* Sat Apr 10 1999 Michael Fulbright <drmike@redhat.com>
- patch from raster to deal with CARD32 on Alpha's

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- fix ownership of gnome-pty-helper to be nicer

* Tue Apr 06 1999 Michael Fulbright <drmike@redhat.com>
- temporary patch to fix gnome-terminal to not resize when you hide/show menu

* Fri Apr 02 1999 Michael Fulbright <drmike@redhat.com>
- patched gnome-libs so that sound only enabled if sound-props has it on or
  user specified '--enable-sound'

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- added Owen's patch to remove session logout prompt

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- added zterm patches to work with XFree86 3.3.3.x terminfo defs

* Fri Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.5

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- added patches to fix utmp and pty handling

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- removed login/logout sounds from default sound list
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3 with patched to build against db1 on glibc 2.1.x
- added Owen's code to read KDE menu entries as well

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2 with patched to build against db1 on glibc 2.1.x

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- GNOME 1.0 woohoo

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build
- updated source file line with proper path

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8.1
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added dependency on gnome-audio so sounds will work out of box

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- added gnome.mime to file list

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.4

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Wed Dec 19 1998 Michael Fulbright <drmike@redhat.com>
- GNOME freeze

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-libs source tree

%prep
%setup -q
%patch -p1 -b .db1

%patch2 -p1 -b .rhsnddefs
autoconf

%patch10 -p1 -b .newsession

%patch20 -p1 -b .sndon

#%patch30 -p1 -b .CARD32

#%patch104 -p1 -b .zvtresize
%patch105 -p1 -b .nullfont
%patch110 -p1 -b .i18n

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc --localstatedir=/var/lib
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`
strip `file $RPM_BUILD_ROOT/%{prefix}/sbin/* | awk -F':' '/executable/ { print $1 }'`

# add new gnome.mimes
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/mime-info/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/lib/lib*.so.*
%{prefix}/bin/dns-helper
%{prefix}/bin/gconfigger
%{prefix}/bin/gnome-bug
%{prefix}/bin/gnome-dump-metadata
%{prefix}/bin/gnome-gen-mimedb
%{prefix}/bin/gnome-moz-remote
%{prefix}/bin/gnome-name-service
%{prefix}/bin/gnome_segv
%{prefix}/bin/goad-browser
%{prefix}/bin/loadshlib
%{prefix}/bin/new-object
%attr(2755, root, utmp) %{prefix}/sbin/gnome-pty-helper
%{prefix}/share/locale/*/*/*
%{prefix}/share/idl/*
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/gnome.mime
%{prefix}/share/type-convert/type.convert
%config %{prefix}/share/gtkrc*
%config /etc/*

%files devel
%defattr(-, root, root)

%doc devel-docs

%{prefix}/bin/gnome-config
%{prefix}/bin/libart-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.sh
%{prefix}/lib/gnome-libs
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/doc/*
